---
title: Update Zaraz workflow
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Zaraz](https://developers.cloudflare.com/api/typescript/resources/zaraz)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update Zaraz workflow

client.zaraz.update(ZarazUpdateParams {zone\_id, workflow } params, RequestOptionsoptions?): [Workflow](<https://developers.cloudflare.com/api/typescript/resources/zaraz#(resource)%20zaraz.workflow%20%3E%20(model)%20workflow%20%3E%20(schema)>)

PUT/zones/{zone\_id}/settings/zaraz/workflow

Updates Zaraz workflow for a zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zaraz Edit``Zaraz Admin`

##### ParametersExpand Collapse

<details>

<summary>

params: ZarazUpdateParams {zone\_id, workflow }

</summary>

zone\_id: string

Path param: Identifier.

maxLength32

<a href="#(resource)%20zaraz%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

<details>

<summary>

workflow: <a href="https://developers.cloudflare.com/api/typescript/resources/zaraz#(resource)%20zaraz.workflow%20%3E%20(model)%20workflow%20%3E%20(schema)">Workflow</a>

Body param: Zaraz workflow.

</summary>

One of the following:

"realtime"

<a href="#(resource)%20zaraz%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20workflow%20%2B%20(resource)%20zaraz.workflow%20%3E%20(model)%20workflow%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"preview"

<a href="#(resource)%20zaraz%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20workflow%20%2B%20(resource)%20zaraz.workflow%20%3E%20(model)%20workflow%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20zaraz%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20workflow">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zaraz%20%3E%20(method)%20update%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

Workflow = "realtime"| "preview"

Zaraz workflow.

</summary>

One of the following:

"realtime"

<a href="#(resource)%20zaraz.workflow%20%3E%20(model)%20workflow%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"preview"

<a href="#(resource)%20zaraz.workflow%20%3E%20(model)%20workflow%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zaraz.workflow%20%3E%20(model)%20workflow%20%3E%20(schema)>)

### Update Zaraz workflow

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const workflow = await client.zaraz.update({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
  workflow: 'realtime',
});

console.log(workflow);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": "realtime",
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": "realtime",
  "success": true
}
```